ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

PLS-00114: identifier 'MAX_CHANNEL_PER_BLUEPRINT_EXIS' too long upgrading to 15.9.1

book

Article ID: 208393

calendar_today

Updated On:

Products

Clarity PPM On Premise

Issue/Introduction

Upgrade to 15.9.1 fails / Unable to upgrade. While analyzing the install.log file, we see that 15.8.1 to 15.9 was successfully completed (step-level upgrade) and got failed between v15.9 to 15.9.1

2/09/21 3:09 PM (ExecTask) Current database version is database_20201228_1103
2/09/21 3:09 PM (ExecTask) DBDriver for database_20210123_1319
2/09/21 3:09 PM (ExecTask) Start installation of DBDriver ...
2/09/21 3:09 PM (ExecTask) 
2/09/21 3:09 PM (ExecTask) Note: Foreign Keys have been disabled
2/09/21 3:09 PM (ExecTask) Process - pre-upgrade: GOVERNOR_LIMIT.xml
2/09/21 3:09 PM (ExecTask) 
2/09/21 3:09 PM (ExecTask) SQL Text:
2/09/21 3:09 PM (ExecTask) 
2/09/21 3:09 PM (ExecTask)     DECLARE
2/09/21 3:09 PM (ExecTask)         MAX_CHANNEL_PER_BLUEPRINT_EXISTS INTEGER;
2/09/21 3:09 PM (ExecTask)         MAX_COUNT INTEGER;
2/09/21 3:09 PM (ExecTask)     BEGIN
2/09/21 3:09 PM (ExecTask)         SELECT COUNT(*) INTO MAX_CHANNEL_PER_BLUEPRINT_EXISTS FROM cmn_gov_limits WHERE code = 'MAX_CHANNEL_PER_BLUEPRINT';
2/09/21 3:09 PM (ExecTask)         
2/09/21 3:09 PM (ExecTask)         IF MAX_CHANNEL_PER_BLUEPRINT_EXISTS != 1 THEN
2/09/21 3:09 PM (ExecTask)             SELECT COUNT(*) INTO MAX_COUNT FROM cmn_gov_limits;
2/09/21 3:09 PM (ExecTask)             
2/09/21 3:09 PM (ExecTask)             insert into CMN_GOV_LIMITS( id, name, code, description, active, def_limit, critical_limit, current_limit, created_date, created_by, last_updated_date, last_updated_by )
2/09/21 3:09 PM (ExecTask)             values( MAX_COUNT + 1, 'Channels Max Per Blueprint Instance', 'MAX_CHANNEL_PER_BLUEPRINT','Maximum number of channels per blueprint instance', 1, 15 ,15 ,15 , sysdate, 1, sysdate, 1 );
2/09/21 3:09 PM (ExecTask)         END IF;
2/09/21 3:09 PM (ExecTask)     END;
2/09/21 3:09 PM (ExecTask)     
2/09/21 3:09 PM (ExecTask)   
2/09/21 3:09 PM (ExecTask) 
2/09/21 3:09 PM (ExecTask) com.ca.clarity.jdbc.oraclebase.ddc: [CA Clarity][Oracle JDBC Driver][Oracle]ORA-06550: line 2, column 9:
2/09/21 3:09 PM (ExecTask) PLS-00114: identifier 'MAX_CHANNEL_PER_BLUEPRINT_EXIS' too long
2/09/21 3:09 PM (ExecTask) ORA-06550: line 5, column 30:
2/09/21 3:09 PM (ExecTask) PL/SQL: ORA-00972: identifier is too long
2/09/21 3:09 PM (ExecTask) ORA-06550: line 5, column 9:
2/09/21 3:09 PM (ExecTask) PL/SQL: SQL Statement ignored
2/09/21 3:09 PM (ExecTask) ORA-06550: line 7, column 12:
2/09/21 3:09 PM (ExecTask) PLS-00114: identifier 'MAX_CHANNEL_PER_BLUEPRINT_EXIS' too long
2/09/21 3:09 PM (ExecTask) 
2/09/21 3:09 PM (ExecTask)  at com.ca.clarity.jdbc.oraclebase.dder.l(Unknown Source)
2/09/21 3:09 PM (ExecTask)  at com.ca.clarity.jdbc.oraclebase.dder.a(Unknown Source)

Cause

Upgrade is performed on an unsupported Oracle version or compatibility set to unsupported Oracle version

Environment

Release : 15.8.1,15.9, 15.9.1, 15.9.2, 15.9.3 16.0, 16.0.1

Component : Clarity Upgrades

Resolution

  1. Ensure you're using a supported database version for your Clarity prior to upgrade 
  2. If you are already on a supported version, ensure the following compatibility parameters are set to the current version, then restart the database:
    compatible

    _compression_compatibility

    _optimizer_undo_cost_change

    The values should be set to match the version of Oracle being used. For example, if you are using Oracle 19c, specify 19.0.0

Additional Information

Details on the issue are found in Oracle Documentation. Supported database version mentioned in our documentation at: Hardware and Software Compatibility Specifications

 

This was not caught during the checkinstall due to a known issue Checkinstall for Upgrade to 15.9.1 will not throw error for Unsupported Oracle version 12.1.0.2 (DE59913)